Delete Host Firmware Config

View as Markdown

Delete host firmware config for the org/site. The target Site is specified by siteId in the request body; the configuration is keyed by (vendor, model).

User must have authorization role with PROVIDER_ADMIN suffix in the URL {org}.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site where the host firmware config is stored.
vendorstringRequired>=1 character

Hardware vendor for the configuration (for example Nvidia, Dell).

modelstringRequired>=1 character

Hardware model for the configuration (for example DGXH100).

Response

Host firmware config deleted

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error